[arch-commits] Commit in k3b/trunk (PKGBUILD k3b.install)

Ronald van Haren ronald at archlinux.org
Tue Oct 21 16:14:55 EDT 2008


    Date: Tuesday, October 21, 2008 @ 16:14:54
  Author: ronald
Revision: 16635

upgpkg: k3b 1.0.5-2

Modified:
  k3b/trunk/PKGBUILD
  k3b/trunk/k3b.install

-------------+
 PKGBUILD    |   10 +++++-----
 k3b.install |   12 ------------
 2 files changed, 5 insertions(+), 17 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-10-21 20:08:10 UTC (rev 16634)
+++ PKGBUILD	2008-10-21 20:14:54 UTC (rev 16635)
@@ -4,28 +4,28 @@
 
 pkgname=k3b
 pkgver=1.0.5
-pkgrel=1
+pkgrel=2
 depends=('cdrdao' 'cdrkit' 'cdparanoia' 'kdelibs3' 'libsamplerate' 'lame' 'libidn' 'libmad'
 	 'normalize' 'sox' 'hal>=0.5.8.1-6' 'ffmpeg>=20070131' 'musicbrainz' 'libart-lgpl'
 	 'taglib>=1.4' 'libmpcdec>=1.2.5' 'libdvdread' 'dbus-qt3' 'flac>=1.2.0' 'libvorbis')
 pkgdesc="Feature-rich and easy to handle CD burning application"
 arch=("i686" "x86_64")
 license=('GPL')
-install=k3b.install
+install=$pkgname.install
 source=(http://downloads.sourceforge.net/sourceforge/k3b/${pkgname}-${pkgver}.tar.bz2)
 
 url="http://k3b.sourceforge.net/"
+md5sums=('e3b37d0d009af3dd149215d6ae0d54f3')
 
 build() {
   . /etc/profile.d/qt3.sh
   . /etc/profile.d/kde3.sh
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd ${srcdir}/${pkgname}-${pkgver}
   ./configure --prefix=/opt/kde --enable-mt --disable-debug \
   		--enable-debug=no --with-k3bsetup=no \
 		--without-cdrecord-suid-root \
 		--enable-ffmpeg-all-codecs --without-arts
   make || return 1
-  make DESTDIR=${startdir}/pkg install
+  make DESTDIR=${pkgdir} install || return 1
 }
 
-md5sums=('e3b37d0d009af3dd149215d6ae0d54f3')

Modified: k3b.install
===================================================================
--- k3b.install	2008-10-21 20:08:10 UTC (rev 16634)
+++ k3b.install	2008-10-21 20:14:54 UTC (rev 16635)
@@ -1,20 +1,8 @@
-# arg 1:  the new package version
 post_install() {
   echo "k3b: If you have a DVD-Burner, you should install 'dvd+rw-tools' "
 }
 
-# arg 1:  the new package version
-# arg 2:  the old package version
 post_upgrade() {
   echo "k3b: If you have a DVD-Burner, you should install 'dvd+rw-tools' "
 }
 
-# arg 1:  the old package version
-pre_remove() {
-  /bin/true
-}
-
-op=$1
-shift
-
-$op $*




More information about the arch-commits mailing list